Bug 1640686 - While upgrading satellite from 6.3->6.4, satellite-installer does not perform remove_legacy_mongo step in some situations which results in error [NEEDINFO]
Summary: While upgrading satellite from 6.3->6.4, satellite-installer does not perform...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Upgrades
Version: 6.4
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: Released
Assignee: Chris Roberts
QA Contact: Nikhil Kathole
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-18 14:15 UTC by Ashish Humbe
Modified: 2019-10-07 17:18 UTC (History)
16 users (show)

Fixed In Version: katello-installer-base-3.9.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1646741 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:38:16 UTC
cmarinea: needinfo? (chrobert)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Katello katello-installer pull 707 None None None 2018-10-29 14:37:52 UTC
Foreman Issue Tracker 25336 None None None 2018-10-29 14:38:09 UTC
Red Hat Bugzilla 1647228 None CLOSED Temporary add KCS reference to known upgrade issue 2019-10-10 20:02:18 UTC
Red Hat Knowledge Base (Solution) 3658241 None None None 2018-10-18 14:29:01 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:25 UTC

Internal Links: 1647228

Description Ashish Humbe 2018-10-18 14:15:48 UTC
Description of problem:
While upgrading satellite server from 6.3 -> 6.4, satellite-installer does not perform remove_legacy_mongo step in some situations which results in an error: 

Installing             Done                                               [100%] [...........................................................]
  Something went wrong! Check the log for ERROR-level output
  The full log is at /var/log/foreman-installer/satellite.log
Upgrade failed during the installation phase. Fix the error and re-run the upgrade.
Error: rh-mongodb34-mongodb-syspaths conflicts with mongodb-2.6.11-2.el7sat.x86_64
Error: rh-mongodb34-mongodb-server-syspaths conflicts with mongodb-server-2.6.11-2.el7sat.x86_64
 You could try using --skip-broken to work around the problem  You could try running: rpm -Va --nofiles --nodigest

yum install -y -q rh-mongodb34-syspaths failed! Check the output for error!
 [FAIL] Failed executing LANG=en_US.utf-8 satellite-installer --upgrade, exit status 6
--------------------------------------------------------------------------------


Version-Release number of selected component (if applicable):
Satellite 6.4

How reproducible:
Not always

Steps to Reproduce:
1. Enable Satellite 6.4 repositories
2. Update packages to 6.4 and then run the upgrade using foreman-maintain 
 # foreman-maintain upgrade run --target-version 6.4 
3.

Actual results:
Upgrade failed with error mentioned above

Expected results:
The upgrade should complete successfully 

Additional info:

From the foreman-maintain log, it is observed that in some situations "Upgrade Step: remove_legacy_mongo... " is not executed which is causing issue while installation of  rh-mongodb34-mongodb-syspaths package.

Comment 4 Stefan Nemeth 2018-10-25 12:23:49 UTC
workaround is simple

#yum remove -y mongodb-2* mongodb-server-2*

and re-launch the installer

Comment 7 Omkar Khatavkar 2019-02-05 10:02:10 UTC
As https://bugzilla.redhat.com/show_bug.cgi?id=1646741 was already verified on z-stream from 6.3 to 6.4( https://bugzilla.redhat.com/show_bug.cgi?id=1646741#c2 ). This is was again tested from 6.4 to 6.5 and upgrade worked sucessfully. The package was rh-mongodb34-syspaths was never got updated in upgrade as it is already update with 6.4 version. 

Satellite 6.4 

rpm -qa | grep rh-mongodb34-syspaths
rh-mongodb34-syspaths-3.0-14.el7.x86_64

Satelite 6.5 

rpm -qa | grep rh-mongodb34-syspaths
rh-mongodb34-syspaths-3.0-14.el7.x86_64

hence marking as verified as this is no more reporducible.

Comment 9 errata-xmlrpc 2019-05-14 12:38:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.